function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import "./tag.less";
import "./tag.module.less";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
function Btn(props) {
  var cy01 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "relative inline-block text-lg group",
    children: [/*#__PURE__*/_jsxs("span", {
      className: "relative z-10 block px-5 py-3 overflow-hidden font-medium leading-tight text-gray-800 transition-colors duration-300 ease-out border-2 border-gray-900 rounded-lg group-hover:text-white",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full px-5 py-3 rounded-lg bg-gray-50"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute left-0 w-48 h-48 -ml-2 transition-all duration-300 origin-top-right -rotate-90 -translate-x-full translate-y-12 bg-gray-900 group-hover:-rotate-180 ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute bottom-0 right-0 w-full h-12 -mb-1 -mr-1 transition-all duration-200 ease-linear bg-gray-900 rounded-lg group-hover:mb-0 group-hover:mr-0",
      "data-rounded": "rounded-lg"
    })]
  });
  var cy02 = /*#__PURE__*/_jsxs("a", {
    href: "https://loadmcx.com",
    target: "_blank",
    className: "relative inline-flex items-center justify-start py-3 pl-4 pr-12 overflow-hidden font-semibold shadow text-indigo-600 transition-all duration-150 ease-in-out rounded hover:pl-10 hover:pr-6 bg-gray-50 group",
    children: [/*#__PURE__*/_jsx("span", {
      className: "absolute bottom-0 left-0 w-full h-1 transition-all duration-150 ease-in-out bg-indigo-600 group-hover:h-full"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute right-0 pr-4 duration-200 ease-out group-hover:translate-x-12",
      children: /*#__PURE__*/_jsx("svg", {
        className: "w-5 h-5 text-green-400",
        fill: "none",
        stroke: "currentColor",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg",
        children: /*#__PURE__*/_jsx("path", {
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
          "stroke-width": "2",
          d: "M14 5l7 7m0 0l-7 7m7-7H3"
        })
      })
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute left-0 pl-2.5 -translate-x-12 group-hover:translate-x-0 ease-out duration-200",
      children: /*#__PURE__*/_jsx("svg", {
        className: "w-5 h-5 text-green-400",
        fill: "none",
        stroke: "currentColor",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg",
        children: /*#__PURE__*/_jsx("path", {
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
          "stroke-width": "2",
          d: "M14 5l7 7m0 0l-7 7m7-7H3"
        })
      })
    }), /*#__PURE__*/_jsx("span", {
      className: "relative w-full text-left transition-colors duration-200 ease-in-out group-hover:text-white",
      children: props.text
    })]
  });
  var cy03 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "relative px-5 py-2 font-medium text-white group",
    children: [/*#__PURE__*/_jsx("span", {
      className: "absolute inset-0 w-full h-full transition-all duration-300 ease-out transform translate-x-0 -skew-x-12 bg-purple-500 group-hover:bg-purple-700 group-hover:skew-x-12"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute inset-0 w-full h-full transition-all duration-300 ease-out transform skew-x-12 bg-purple-700 group-hover:bg-purple-500 group-hover:-skew-x-12"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute bottom-0 left-0 hidden w-10 h-20 transition-all duration-100 ease-out transform -translate-x-8 translate-y-10 bg-purple-600 -rotate-12"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute bottom-0 right-0 hidden w-10 h-20 transition-all duration-100 ease-out transform translate-x-10 translate-y-8 bg-purple-400 -rotate-12"
    }), /*#__PURE__*/_jsx("span", {
      className: "relative",
      children: props.text
    })]
  });
  var cy04 = /*#__PURE__*/_jsx("div", _objectSpread(_objectSpread({
    class: " w-full  flex items-center justify-center"
  }, props), {}, {
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "rounded-md px-3.5 py-2 m-1 overflow-hidden relative group cursor-pointer border-2 font-medium border-indigo-600 text-indigo-600 ",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute w-64 h-0 transition-all duration-300 origin-center rotate-45 -translate-x-20 bg-indigo-600 top-1/2 group-hover:h-64 group-hover:-translate-y-32 ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative text-indigo-600 transition duration-300 group-hover:text-white ease",
        children: props.text
      })]
    })
  }));
  var cy05 = /*#__PURE__*/_jsx("div", {
    className: "button button-1",
    children: props.text
  });
  var cy06 = /*#__PURE__*/_jsx("div", {
    className: "button button-2",
    children: props.text
  });
  var cy039 = /*#__PURE__*/_jsx("div", {
    className: "button button-3",
    children: props.text
  });
  var cy038 = /*#__PURE__*/_jsx("div", {
    className: "button button-4",
    children: props.text
  });
  var cy041 = /*#__PURE__*/_jsx("div", {
    className: "button button-5",
    children: props.text
  });
  var cy07 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "px-5 py-2.5 relative rounded group overflow-hidden font-medium bg-white text-purple-600 inline-block",
    children: [/*#__PURE__*/_jsx("span", {
      className: "absolute top-0 left-0 flex w-full h-0 mb-0 transition-all duration-200 ease-out transform translate-y-0 bg-purple-600 group-hover:h-full opacity-90"
    }), /*#__PURE__*/_jsx("span", {
      className: "relative group-hover:text-white",
      children: props.text
    })]
  });
  var cy08 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "inline-flex overflow-hidden text-white bg-gray-900 rounded group",
    children: [/*#__PURE__*/_jsx("span", {
      className: "px-3.5 py-2 text-white bg-purple-500 group-hover:bg-purple-600 flex items-center justify-center",
      children: /*#__PURE__*/_jsx("svg", {
        className: "w-5 h-5",
        fill: "none",
        stroke: "currentColor",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg",
        children: /*#__PURE__*/_jsx("path", {
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
          "stroke-width": "2",
          d: "M16 11V7a4 4 0 00-8 0v4M5 9h14l1 12H4L5 9z"
        })
      })
    }), /*#__PURE__*/_jsx("span", {
      className: "pl-4 pr-5 py-2.5",
      children: props.text
    })]
  });
  var cy09 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "relative inline-flex items-center px-12 py-3 overflow-hidden text-lg font-medium text-indigo-600 border-2 border-indigo-600 rounded-full hover:text-white group hover:bg-gray-50",
    children: [/*#__PURE__*/_jsx("span", {
      className: "absolute left-0 block w-full h-0 transition-all bg-indigo-600 opacity-100 group-hover:h-full top-1/2 group-hover:top-0 duration-400 ease"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute right-0 flex items-center justify-start w-10 h-10 duration-300 transform translate-x-full group-hover:translate-x-0 ease",
      children: /*#__PURE__*/_jsx("svg", {
        className: "w-5 h-5",
        fill: "none",
        stroke: "currentColor",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg",
        children: /*#__PURE__*/_jsx("path", {
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
          "stroke-width": "2",
          d: "M14 5l7 7m0 0l-7 7m7-7H3"
        })
      })
    }), /*#__PURE__*/_jsx("span", {
      className: "relative",
      children: props.text
    })]
  });
  var cy010 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "relative px-6 py-3 font-bold text-black group",
    children: [/*#__PURE__*/_jsx("span", {
      className: "absolute inset-0 w-full h-full transition duration-300 ease-out transform -translate-x-2 -translate-y-2 bg-red-300 group-hover:translate-x-0 group-hover:translate-y-0"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute inset-0 w-full h-full border-4 border-black"
    }), /*#__PURE__*/_jsx("span", {
      className: "relative",
      children: props.text
    })]
  });
  var cy011 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative rounded px-5 py-2.5 overflow-hidden group bg-green-500 hover:bg-gradient-to-r hover:from-green-500 hover:to-green-400 text-white hover:ring-2 hover:ring-offset-2 hover:ring-green-400 transition-all ease-out duration-300",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute right-0 w-8 h-32 -mt-12 transition-all duration-1000 transform translate-x-12 bg-white opacity-10 rotate-12 group-hover:-translate-x-40 ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    })
  });
  var cy012 = /*#__PURE__*/_jsxs("a", {
    href: "#_",
    className: "relative inline-flex items-center justify-center p-4 px-5 py-3 overflow-hidden font-medium text-indigo-600 transition duration-300 ease-out rounded-full shadow-xl group hover:ring-1 hover:ring-purple-500",
    children: [/*#__PURE__*/_jsx("span", {
      className: "absolute inset-0 w-full h-full bg-gradient-to-br from-blue-600 via-purple-600 to-pink-700"
    }), /*#__PURE__*/_jsx("span", {
      className: "absolute bottom-0 right-0 block w-64 h-64 mb-32 mr-4 transition duration-500 origin-bottom-left transform rotate-45 translate-x-24 bg-pink-500 rounded-full opacity-30 group-hover:rotate-90 ease"
    }), /*#__PURE__*/_jsx("span", {
      className: "relative text-white",
      children: props.text
    })]
  });
  var cy013 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative px-10 py-3 font-medium text-white transition duration-300 bg-green-400 rounded-md hover:bg-green-500 ease",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 left-0 h-full -ml-2",
        children: /*#__PURE__*/_jsx("svg", {
          viewBox: "0 0 487 487",
          className: "w-auto h-full opacity-100 object-stretch",
          xmlns: "http://www.w3.org/2000/svg",
          children: /*#__PURE__*/_jsx("path", {
            d: "M0 .3c67 2.1 134.1 4.3 186.3 37 52.2 32.7 89.6 95.8 112.8 150.6 23.2 54.8 32.3 101.4 61.2 149.9 28.9 48.4 77.7 98.8 126.4 149.2H0V.3z",
            fill: "#FFF",
            "fill-rule": "nonzero",
            "fill-opacity": ".1"
          })
        })
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute top-0 right-0 w-12 h-full -mr-3",
        children: /*#__PURE__*/_jsx("svg", {
          viewBox: "0 0 487 487",
          className: "object-cover w-full h-full",
          xmlns: "http://www.w3.org/2000/svg",
          children: /*#__PURE__*/_jsx("path", {
            d: "M487 486.7c-66.1-3.6-132.3-7.3-186.3-37s-95.9-85.3-126.2-137.2c-30.4-51.8-49.3-99.9-76.5-151.4C70.9 109.6 35.6 54.8.3 0H487v486.7z",
            fill: "#FFF",
            "fill-rule": "nonzero",
            "fill-opacity": ".1"
          })
        })
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    })
  });
  var cy014 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative px-5 py-3 overflow-hidden font-medium text-gray-600 bg-white border border-gray-100 rounded-lg shadow-inner group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute top-0 left-0 w-0 h-0 transition-all duration-200 border-t-2 border-gray-600 group-hover:w-full ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 right-0 w-0 h-0 transition-all duration-200 border-b-2 border-gray-600 group-hover:w-full ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute top-0 left-0 w-full h-0 transition-all duration-300 delay-200 bg-gray-600 group-hover:h-full ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 left-0 w-full h-0 transition-all duration-300 delay-200 bg-gray-600 group-hover:h-full ease"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full duration-300 delay-300 bg-gray-900 opacity-0 group-hover:opacity-100"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative transition-colors duration-300 delay-200 group-hover:text-white ease",
        children: props.text
      })]
    })
  });
  var cy015 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "box-border relative z-30 inline-flex items-center justify-center w-auto px-8 py-3 overflow-hidden font-bold text-white transition-all duration-300 bg-indigo-600 rounded-md cursor-pointer group ring-offset-2 ring-1 ring-indigo-300 ring-offset-indigo-200 hover:ring-offset-indigo-500 ease focus:outline-none",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 right-0 w-8 h-20 -mb-8 -mr-5 transition-all duration-300 ease-out transform rotate-45 translate-x-1 bg-white opacity-10 group-hover:translate-x-0"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute top-0 left-0 w-20 h-8 -mt-1 -ml-12 transition-all duration-300 ease-out transform -rotate-45 -translate-x-1 bg-white opacity-10 group-hover:translate-x-0"
      }), /*#__PURE__*/_jsxs("span", {
        className: "relative z-20 flex items-center text-sm",
        children: [/*#__PURE__*/_jsx("svg", {
          className: "relative w-5 h-5 mr-2 text-white",
          fill: "none",
          stroke: "currentColor",
          viewBox: "0 0 24 24",
          xmlns: "http://www.w3.org/2000/svg",
          children: /*#__PURE__*/_jsx("path", {
            "stroke-linecap": "round",
            "stroke-linejoin": "round",
            "stroke-width": "2",
            d: "M13 10V3L4 14h7v7l9-11h-7z"
          })
        }), props.text]
      })]
    })
  });
  var cy016 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative z-30 inline-flex items-center justify-center w-auto px-8 py-3 overflow-hidden font-bold text-gray-500 transition-all duration-500 border border-gray-200 rounded-md cursor-pointer group ease bg-gradient-to-b from-white to-gray-50 hover:from-gray-50 hover:to-white active:to-white",
      children: [/*#__PURE__*/_jsx("span", {
        className: "w-full h-0.5 absolute bottom-0 group-active:bg-transparent left-0 bg-gray-100"
      }), /*#__PURE__*/_jsx("span", {
        className: "h-full w-0.5 absolute bottom-0 group-active:bg-transparent right-0 bg-gray-100"
      }), props.text]
    })
  });
  var cy017 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-block px-4 py-2 font-medium group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full transition duration-200 ease-out transform translate-x-1 translate-y-1 bg-black group-hover:-translate-x-0 group-hover:-translate-y-0"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full bg-white border-2 border-black group-hover:bg-black"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative text-black group-hover:text-white",
        children: props.text
      })]
    })
  });
  var cy018 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-center p-4 px-6 py-3 overflow-hidden font-medium text-indigo-600 transition duration-300 ease-out border-2 border-purple-500 rounded-full shadow-md group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 flex items-center justify-center w-full h-full text-white duration-300 -translate-x-full bg-purple-500 group-hover:translate-x-0 ease",
        children: /*#__PURE__*/_jsx("svg", {
          className: "w-6 h-6",
          fill: "none",
          stroke: "currentColor",
          viewBox: "0 0 24 24",
          xmlns: "http://www.w3.org/2000/svg",
          children: /*#__PURE__*/_jsx("path", {
            "stroke-linecap": "round",
            "stroke-linejoin": "round",
            "stroke-width": "2",
            d: "M14 5l7 7m0 0l-7 7m7-7H3"
          })
        })
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute flex items-center justify-center w-full h-full text-purple-500 transition-all duration-300 transform group-hover:translate-x-full ease",
        children: props.text
      }), /*#__PURE__*/_jsx("span", {
        className: "relative invisible",
        children: props.text
      })]
    })
  });
  var cy019 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative items-center justify-center inline-block p-4 px-5 py-3 overflow-hidden font-medium text-indigo-600 rounded-lg shadow-2xl group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute top-0 left-0 w-40  -mt-10 -ml-3 transition-all duration-700 bg-red-500 rounded-full blur-md ease"
      }), /*#__PURE__*/_jsxs("span", {
        className: "absolute inset-0 w-full h-full transition duration-700 group-hover:rotate-180 ease",
        children: [/*#__PURE__*/_jsx("span", {
          className: "absolute bottom-0 left-0 w-24 h-24 -ml-10 bg-purple-500 rounded-full blur-md"
        }), /*#__PURE__*/_jsx("span", {
          className: "absolute bottom-0 right-0 w-24 h-24 -mr-10 bg-pink-500 rounded-full blur-md"
        })]
      }), /*#__PURE__*/_jsx("span", {
        className: "relative text-white",
        children: props.text
      })]
    })
  });
  var cy020 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-start px-6 py-3 overflow-hidden font-medium transition-all bg-red-500 rounded-xl group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute top-0 right-0 inline-block w-4 h-4 transition-all duration-500 ease-in-out bg-red-700 rounded group-hover:-mr-4 group-hover:-mt-4",
        children: /*#__PURE__*/_jsx("span", {
          className: "absolute top-0 right-0 w-5 h-5 rotate-45 translate-x-1/2 -translate-y-1/2 bg-white"
        })
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 left-0 w-full h-full transition-all duration-500 ease-in-out delay-200 -translate-x-full translate-y-full bg-red-600 rounded-2xl group-hover:mb-12 group-hover:translate-x-0"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative w-full text-left text-white transition-colors duration-200 ease-in-out group-hover:text-white",
        children: props.text
      })]
    })
  });
  var cy021 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "px-5 py-2.5 font-medium bg-blue-100/60 hover:bg-blue-100 hover:text-blue-600 text-blue-500 rounded-lg text-sm",
      children: props.text
    })
  });
  var cy022 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-flex items-center justify-center px-4 py-2 text-base font-medium leading-6 text-white whitespace-no-wrap bg-blue-600 border border-blue-700 rounded-md shadow-sm hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500",
      "data-rounded": "rounded-md",
      "data-primary": "blue-600",
      "data-primary-reset": "{}",
      children: props.text
    })
  });
  var cy023 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-flex items-center px-6 py-3 text-gray-500 bg-gray-100 rounded-md hover:bg-gray-200 hover:text-gray-600",
      children: props.text
    })
  });
  var cy024 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-flex items-center justify-center px-4 py-2 text-base font-medium leading-6 text-gray-600 whitespace-no-wrap bg-white border border-gray-200 rounded-md shadow-sm hover:bg-gray-50 focus:outline-none focus:shadow-none",
      children: props.text
    })
  });
  var cy025 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-flex items-center justify-center h-12 px-6 font-medium tracking-wide text-white transition duration-200 bg-gray-900 rounded-lg hover:bg-gray-800 focus:shadow-outline focus:outline-none",
      children: props.text
    })
  });
  var cy026 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "inline-flex items-center justify-center px-5 py-3 text-base font-medium text-center text-indigo-100 border border-indigo-500 rounded-lg shadow-sm cursor-pointer hover:text-white bg-gradient-to-br from-purple-500 via-indigo-500 to-indigo-500",
      children: [/*#__PURE__*/_jsx("svg", {
        className: "w-5 h-5 mr-2",
        fill: "none",
        stroke: "currentColor",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg",
        children: /*#__PURE__*/_jsx("path", {
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
          "stroke-width": "2",
          d: "M13 10V3L4 14h7v7l9-11h-7z"
        })
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    })
  });
  var cy027 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-flex items-center justify-center w-full px-8 py-4 text-base font-bold leading-6 text-white bg-indigo-600 border border-transparent rounded-full md:w-auto hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-600",
      children: props.text
    })
  });
  var cy028 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "inline-flex items-center justify-center w-full px-6 py-3 mb-2 text-lg text-white bg-green-500 rounded-md hover:bg-green-400 sm:w-auto sm:mb-0",
      "data-primary": "green-400",
      "data-rounded": "rounded-2xl",
      "data-primary-reset": "{}",
      children: ["Get Started", /*#__PURE__*/_jsx("svg", {
        className: "w-4 h-4 ml-1",
        xmlns: "http://www.w3.org/2000/svg",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        children: /*#__PURE__*/_jsx("path", {
          "fill-rule": "evenodd",
          d: "M10.293 3.293a1 1 0 011.414 0l6 6a1 1 0 010 1.414l-6 6a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-4.293-4.293a1 1 0 010-1.414z",
          "clip-rule": "evenodd"
        })
      })]
    })
  });
  var cy029 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative px-6 py-3 font-bold text-white rounded-lg group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full transition duration-300 transform -translate-x-1 -translate-y-1 bg-purple-800 ease opacity-80 group-hover:translate-x-0 group-hover:translate-y-0"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full transition duration-300 transform translate-x-1 translate-y-1 bg-pink-800 ease opacity-80 group-hover:translate-x-0 group-hover:translate-y-0 mix-blend-screen"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    })
  });
  var cy030 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-center px-6 py-3 overflow-hidden font-bold text-black hover:text-white rounded-md shadow-2xl group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full transition duration-300 ease-out opacity-0 bg-gradient-to-br from-pink-600 via-purple-700 to-blue-400 group-hover:opacity-100"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute top-0 left-0 w-full bg-gradient-to-b from-white to-transparent opacity-5 h-1/3"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 left-0 w-full h-1/3 bg-gradient-to-t from-white to-transparent opacity-5"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 left-0 w-4 h-full bg-gradient-to-r from-white to-transparent opacity-5"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute bottom-0 right-0 w-4 h-full bg-gradient-to-l from-white to-transparent opacity-5"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full border border-white rounded-md opacity-10"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute w-0 h-0 transition-all duration-300 ease-out bg-white rounded-full group-hover:w-56 group-hover:h-56 opacity-5"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    })
  });
  var cy031 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative p-0.5 inline-flex items-center justify-center font-bold overflow-hidden group rounded-md",
      children: [/*#__PURE__*/_jsx("span", {
        className: "w-full h-full bg-gradient-to-br from-[#ff8a05] via-[#ff5478] to-[#ff00c6] group-hover:from-[#ff00c6] group-hover:via-[#ff5478] group-hover:to-[#ff8a05] absolute"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative px-6 py-3 transition-all ease-out bg-gray-900 rounded-md group-hover:bg-opacity-0 duration-400",
        children: /*#__PURE__*/_jsx("span", {
          className: "relative text-white",
          children: props.text
        })
      })]
    })
  });
  var cy032 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-start px-5 py-3 overflow-hidden font-bold rounded-full group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "w-32 h-32 rotate-45 translate-x-12 -translate-y-2 absolute left-0 top-0 bg-black opacity-[3%]"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute top-0 left-0 w-48 h-48 -mt-1 transition-all duration-500 ease-in-out rotate-45 -translate-x-56 -translate-y-24 bg-black opacity-100 group-hover:-translate-x-8"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative w-full text-left text-blbg-black transition-colors duration-200 ease-in-out group-hover:text-gray-200",
        children: props.text
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 border-2 border-blbg-black rounded-full"
      })]
    })
  });
  var cy033 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative items-center justify-start inline-block px-5 py-3 overflow-hidden font-medium transition-all shadow bg-blue-600 rounded-full hover:bg-white group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 border-0 group-hover:border-[25px] ease-linear duration-100 transition-all border-white rounded-full"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative w-full text-left text-white transition-colors duration-200 ease-in-out group-hover:text-blue-600",
        children: props.text
      })]
    })
  });
  var cy034 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-start px-6 py-3 overflow-hidden font-medium transition-all shadow bg-white rounded hover:bg-white group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "w-48 h-48 rounded rotate-[-40deg] bg-purple-600 absolute bottom-0 left-0 -translate-x-full ease-out duration-500 transition-all translate-y-full mb-9 ml-9 group-hover:ml-0 group-hover:mb-32 group-hover:translate-x-0"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative w-full text-left text-black transition-colors duration-300 ease-in-out group-hover:text-white",
        children: props.text
      })]
    })
  });
  var cy035 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-center px-6 py-3 text-lg font-medium tracking-tighter text-white bg-transparent shadow rounded-md group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full mt-1 ml-1 transition-all duration-300 ease-in-out bg-purple-600 rounded-md group-hover:mt-0 group-hover:ml-0"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full bg-white rounded-md "
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full transition-all duration-200 ease-in-out delay-100 bg-purple-600 rounded-md opacity-0 group-hover:opacity-100 "
      }), /*#__PURE__*/_jsx("span", {
        className: "relative text-purple-600 transition-colors duration-200 ease-in-out delay-100 group-hover:text-white",
        children: props.text
      })]
    })
  });
  var cy036 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "relative inline-flex items-center justify-center px-10 py-4 overflow-hidden font-mono font-medium tracking-tighter text-white bg-gray-800 rounded-lg group",
      children: [/*#__PURE__*/_jsx("span", {
        className: "absolute w-0 h-0 transition-all duration-500 ease-out bg-green-500 rounded-full group-hover:w-56 group-hover:h-56"
      }), /*#__PURE__*/_jsx("span", {
        className: "absolute inset-0 w-full h-full -mt-1 rounded-lg opacity-30 bg-gradient-to-b from-transparent via-transparent to-gray-700"
      }), /*#__PURE__*/_jsx("span", {
        className: "relative",
        children: props.text
      })]
    })
  });
  var cy037 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsxs("a", {
      href: "#_",
      className: "inline-flex items-center w-full px-5 py-3 mb-3 mr-1 text-base font-semibold text-white no-underline align-middle bg-blue-600 border border-transparent border-solid rounded-md cursor-pointer select-none sm:mb-0 sm:w-auto hover:bg-blue-700 hover:border-blue-700 hover:text-white focus-within:bg-blue-700 focus-within:border-blue-700",
      children: [props.text, /*#__PURE__*/_jsx("svg", {
        className: "w-4 h-4 ml-2",
        fill: "none",
        stroke: "currentColor",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg",
        children: /*#__PURE__*/_jsx("path", {
          "stroke-linecap": "round",
          "stroke-linejoin": "round",
          "stroke-width": "2",
          d: "M14 5l7 7m0 0l-7 7m7-7H3"
        })
      })]
    })
  });
  var cy040 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-flex items-center justify-center h-16 px-10 py-0 text-xl font-semibold text-center text-gray-900 no-underline align-middle transition-all duration-300 ease-in-out bg-transparent border-2 border-gray-600 border-solid rounded-full cursor-pointer select-none hover:text-blue-600 hover:border-blue-600 focus:shadow-xs focus:no-underline",
      children: props.text
    })
  });
  var cy042 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-block px-5 py-2 mx-auto text-white bg-blue-600 rounded-full hover:bg-blue-700 md:mx-0",
      children: props.text
    })
  });
  var cy043 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "inline-block items-center justify-center px-4 py-2 text-base font-medium leading-6 text-white whitespace-no-wrap bg-sky-500 border-2 border-transparent rounded-full shadow-sm hover:bg-transparent hover:text-sky-500 hover:border-sky-500 focus:outline-none",
      children: props.text
    })
  });
  var cy044 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("a", {
      href: "#_",
      className: "w-full py-4 text-xl text-center text-white transition-colors duration-300 bg-green-400 rounded-full hover:bg-green-500 ease px-9 md:w-auto",
      children: props.text
    })
  });
  var cy045 = /*#__PURE__*/_jsx("div", {
    className: " w-full  flex items-center justify-center",
    children: /*#__PURE__*/_jsx("button", {
      className: "btn p-4 relative border-0 uppercase text-amber-300 shadow bg-transparent hover:delay-[.5s] transition-all duration-500 hover:text-white before:absolute before:left-0 before:bottom-0 before:h-[2px] before:w-0 before:transition-all before:duration-500 before:bg-amber-300 before:hover:w-full after:absolute after:left-0 after:bottom-0 after:h-0 after:w-full after:transition-all after:duration-500 after:bg-amber-300 after:hover:h-full after:text-white after:-z-10 after:hover:delay-[0.4s]",
      children: "Hover me"
    })
  });
  var btnList = {
    cy01: cy01,
    cy02: cy02,
    cy03: cy03,
    cy04: cy04,
    cy05: cy05,
    cy06: cy06,
    cy07: cy07,
    cy08: cy08,
    cy09: cy09,
    cy010: cy010,
    cy011: cy011,
    cy012: cy012,
    cy013: cy013,
    cy014: cy014,
    cy015: cy015,
    cy016: cy016,
    cy017: cy017,
    cy018: cy018,
    cy019: cy019,
    cy020: cy020,
    cy021: cy021,
    cy022: cy022,
    cy023: cy023,
    cy024: cy024,
    cy025: cy025,
    cy026: cy026,
    cy027: cy027,
    cy028: cy028,
    cy029: cy029,
    cy030: cy030,
    cy031: cy031,
    cy032: cy032,
    cy033: cy033,
    cy034: cy034,
    cy035: cy035,
    cy036: cy036,
    cy037: cy037,
    cy038: cy038,
    cy039: cy039,
    cy040: cy040,
    cy041: cy041,
    cy042: cy042,
    cy043: cy043,
    cy044: cy044,
    cy045: cy045
  };
  var type = props.type || 'cy01';
  return /*#__PURE__*/_jsx("div", {
    children: /*#__PURE__*/_jsx("div", {
      className: 'cy',
      children: btnList[type]
    })
  });
}
export default Btn;